
%define 	module	spark

Summary:	Scanning, Parsing, and Rewriting Kit
Summary(pl.UTF-8):	Narzędzia do skanowania, analizowania i przepisowania
Name:		python-%{module}
Version:	0.6.1
Release:	7
License:	GPL
Group:		Libraries/Python
Source0:	http://pages.cpsc.ucalgary.ca/~aycock/spark/%{module}-%{version}.tar.gz
# Source0-md5:	28c4c3b1031a6a4e4c4bd42726d22b65
URL:		http://pages.cpsc.ucalgary.ca/~aycock/spark/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SPARK stands for the Scanning, Parsing, and Rewriting Kit. It formerly
had no name, and was referred to as the "little language framework."

%description -l pl.UTF-8
SPARK (Scanning, Parsing And Rewriting Kit) to zestaw narzędzi do
skanowania, analizowania i przepisywania. Poprzednio nie miał nazwy, a
pisano o nim jako o "małym szkielecie języka" ("little language
framework").

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
install spark.py $RPM_BUILD_ROOT%{py_sitescriptdir}

# kill links to spark module
find examples -name spark.py

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* examples
%{py_sitescriptdir}/spark.py[co]
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-spark.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> aad847f
- release 7 (by relup.sh)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 30c05ba
- release 6

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 419125b
- release 5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ab8d1c
- release 4

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f40068d
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6361c02
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c8c34fb
- converted to UTF-8

* Tue Sep 26 2006 wrobell <wrobell@pld-linux.org> 017d9e7
- rel. 2

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 61b41dd
- pl

* Mon Jul 31 2006 wrobell <wrobell@pld-linux.org> bb7678e
- md5 updated

* Mon Jul 31 2006 wrobell <wrobell@pld-linux.org> 2d5a98e
- based on python-psycopg2.spec

